#ifndef IIIMTEXT_HH_
#define IIIMTEXT_HH_

#include <iiimcf.h>
#include <qwidget.h>
#include <qpainter.h>

class IIIMText
{
    IIIMCF_text text;

    void set_feedback_to_painter(
	QPainter *p,
	QWidget *pw,
	int val
    );
    QSize IIIMText::text_element_size(
	QPainter *p,
	const QSize& size,
	const QString& str
    );
    QSize output_string(
	QPainter *p,
	const QRect& r,
	const QSize& size,
	const QString& str
    );

  public:
    QSize draw(
	QPainter *p,
	QWidget *pw,
	const QRect& r
    );
    QSize get_size(
	QPainter *p,
	QWidget *pw = NULL
    );

    IIIMText(
	IIIMCF_text text
    );
    ~IIIMText();
};

#endif

/* Local Variables: */
/* c-file-style: "iiim-project" */
/* End: */


